import { Button } from '@material-ui/core';
import React, { useState } from 'react';
import { ProfileModal } from './ProfileModal';

const ProfileButton: React.FC = () => {
  const [isProfileModalOpen, setIsProfileModalOpen] = useState<boolean>(true);

  const handleProfileModalOpen = () => {
    setIsProfileModalOpen(true);
  };

  return (
    <div>
      <Button variant="contained" color="primary" onClick={handleProfileModalOpen}>
        Open Profile
      </Button>
      <ProfileModal isOpen={isProfileModalOpen} setIsOpen={setIsProfileModalOpen} />
    </div>
  );
};

export default ProfileButton;
