import { useContext } from 'react';
import { UserContext, UserContextType } from '../context';

// eslint-disable-next-line import/prefer-default-export
export function useUserContext(): UserContextType {
  const userContext = useContext(UserContext);
  if (!userContext) {
    throw new Error('You must use `UserContextProvider` to access the `IntervalContext`.');
  }
  return userContext;
}
