export enum MemberState {
  Accepted = 'ACCEPTED',
  Applied = 'APPLIED',
  Rejected = 'REJECTED',
}

export enum CardState {
  Created = 'CREATED',
  Printed = 'PRINTED',
  Given = 'GIVEN',
}

export interface IMember {
  user: string;
  memberState: MemberState;
  cardState: CardState;
  cardNumber: number;
  cardReceiveDate?: Date;
}

export interface ITerm {
  backgroundFile?: string;
  name: string;
  createDate?: Date;
  startDate: Date;
  endDate: Date;
  deadline: Date;
  members: IMember[];
}
